# Poco::Zip

# class ZipArchive

Library: Zip
Package: Zip
Header: Poco/Zip/ZipArchive.h

## Description

A ZipArchive contains information on the content of a zip file

## Member Summary

Member Functions: fileInfoBegin, fileInfoEnd, findHeader, getZipComment, headerBegin, headerEnd

## Types Aliases

### DirectoryInfos

using DirectoryInfos = std::map < Poco::UInt16, ZipArchiveInfo >;

### DirectoryInfos64

using DirectoryInfos64 = std::map < Poco::UInt32, ZipArchiveInfo64 >;

### FileHeaders

using FileHeaders = std::map < std::string, ZipLocalFileHeader >;

### FileInfos

using FileInfos = std::map < std::string, ZipFileInfo >;

## Constructors

### ZipArchive

ZipArchive(
std::istream & in
);

Creates the ZipArchive from a file. Note that the in stream will be in state failed after the constructor is finished

### ZipArchive

ZipArchive(
std::istream & in,
ParseCallback & callback
);

Creates the ZipArchive from a file or network stream. Note that the in stream will be in state failed after the constructor is finished

## Destructor

### ~ZipArchive

~ZipArchive();

Destroys the ZipArchive.

## Member Functions

### fileInfoBegin

FileInfos::const_iterator fileInfoBegin() const;

### fileInfoEnd

FileInfos::const_iterator fileInfoEnd() const;

### findHeader

FileHeaders::const_iterator findHeader(
const std::string & fileName
) const;

### getZipComment

const std::string & getZipComment() const;

### headerBegin

FileHeaders::const_iterator headerBegin() const;

### headerEnd

FileHeaders::const_iterator headerEnd() const;